Subject: Re: [rtcweb] WG Last Call for draft-ietf-rtcweb-stun-consent-freshness

From: Muthu Arul Mozhi Perumal <[email-masked]>
Date: Tue, 2 Sep 2014 19:29:15 +0530

On Tue, Aug 26, 2014 at 11:30 PM, Martin Thomson <[email-masked]>
wrote:

> On 26 August 2014 07:45, Muthu Arul Mozhi Perumal <[email-masked]>
> wrote:
> > Consent freshness is applicable to any WebRTC entity supporting full
> ICE. A
> > WebRTC browser/device as defined in the transport and overview drafts
> > support full ICE, so perform consent freshness. The requirements for
> other
> > WebRTC entities, including WebRTC gateway, is yet to be fully specified,
> and
> > the document that specifies them would also specify whether they support
> > full ICE or not (and hence whether they perform consent freshness or
> not).
>
>
> Actually, that's probably the best approach: note that this applies -
> and can be useful for - any ICE implementation.  And leave it at that
> for this document.  The transports or security docs might make some
> statements about mandating this mechanism.
>

draft-ietf-rtcweb-security-arch already does that (the reference there
needs an update, though) :

   The one remaining security property we need to establish is "consent
   freshness", i.e., allowing Alice to verify that Bob is still prepared
   to receive her communications so that Alice does not continue to send
   large traffic volumes to entities which went abruptly offline.  ICE
   specifies periodic STUN keepalizes but only if media is not flowing.
   Because the consent issue is more difficult here, we require RTCWeb
   implementations to periodically send keepalives.  As described in
   Section 5.3, these keepalives MUST be based on the consent freshness
   mechanism specified in [I-D.muthu-behave-consent-freshness].  If a
   keepalive fails and no new ICE channels can be established, then the
   session is terminated.

Muthu

---

From: 🔓Dan Wing <[email-masked]>
Date: Mon, 15 Sep 2014 16:11:45 -0700

On Aug 14, 2014, at 8:10 AM, Ted Hardie <[email-masked]> wrote:

> This starts a WG Last Call for draft-ietf-rtcweb-stun-consent-freshness (available at http://datatracker.ietf.org/doc/draft-ietf-rtcweb-stun-consent-freshness/).  Please review the document and send comments to the list by September 10, 2014.

We just submitted -07 which addresses the WGLC comments received.

https://tools.ietf.org/html/draft-ietf-rtcweb-stun-consent-freshness-07
side-by-side diffs: https://tools.ietf.org/rfcdiff?url2=draft-ietf-rtcweb-stun-consent-freshness-07.txt

-d

---

From: Iñaki Baz Castillo <[email-masked]>
Date: Tue, 16 Sep 2014 14:05:17 +0200

2014-08-25 19:15 GMT+02:00 Martin Thomson <[email-masked]>:
> Any WebRTC entity MUST implement full ICE

Why? In server side implementing ICE-Lite is really operational and *easier*.

Please, don't drop ICE-Lite.

-- 
Iñaki Baz Castillo
<[email-masked]>

---

From: Christer Holmberg <[email-masked]>
Date: Wed, 17 Sep 2014 07:54:23 +0000

+1

Regards,

Christer

-----Original Message-----
From: rtcweb [mailto:[email-masked]] On Behalf Of Iñaki Baz Castillo
Sent: 16. syyskuuta 2014 15:05
To: Martin Thomson
Cc: [email-masked]
Subject: Re: [rtcweb] WG Last Call for draft-ietf-rtcweb-stun-consent-freshness

-- 
Iñaki Baz Castillo
<[email-masked]>

_______________________________________________
rtcweb mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/rtcweb

---

From: "Ram Mohan R (rmohanr)" <[email-masked]>
Date: Wed, 17 Sep 2014 09:14:38 +0000

Please look at the latest revision and let us know if any other text is
needed for this.

Ram

-----Original Message-----
From: Christer Holmberg <[email-masked]>
Date: Wednesday, 17 September 2014 1:24 pm
To: Iñaki Baz Castillo <[email-masked]>, Martin Thomson
<[email-masked]>
Cc: "[email-masked]" <[email-masked]>
Subject: Re: [rtcweb] WG Last Call
for	draft-ietf-rtcweb-stun-consent-freshness

---

From: Christer Holmberg <[email-masked]>
Date: Wed, 17 Sep 2014 11:37:57 +0000

Hi,

The latest version look good. A couple of editorial comments:

Q1:
-----

In the Introduction, maybe we could modify the last paragraph in the following way:

	"When a (full) ICE implementation interworks with an ICE-lite
	implementation the ICE-lite implementation will not generate consent
	checks. It will, however, response to consent checks in the same way
	as it responds to any other STUN binding request."

I think that makes it more clear that the draft does not require any changes to existing ICE-lite implementations.

Q2:
-----

In section 4.1, maybe you could be more clear and say:

"A WebRTC implementation [I-D.ietf-rtcweb-overview], which implements *(full)* ICE"

Thanks!

Regards,

Christer

-----Original Message-----
From: Ram Mohan R (rmohanr) [mailto:[email-masked]] 
Sent: 17. syyskuuta 2014 12:15
To: Christer Holmberg; Iñaki Baz Castillo; [email-masked]
Subject: Re: [rtcweb] WG Last Call for draft-ietf-rtcweb-stun-consent-freshness

Please look at the latest revision and let us know if any other text is needed for this.

Ram

---

From: Marc Petit-Huguenin <[email-masked]>
Date: Sat, 20 Sep 2014 07:58:02 -0600

I apologize for the this late review.

Now that RFC 7350 is published, the following consideration applies to all new
STUN usages:

RFC 7350 section 4: "Future STUN usages MUST take in account DTLS as a
transport and discuss its applicability."

I propose to add something like this:

"X.X. DTLS Applicability

The DTLS applicability is identical to what is described in Section 4.2 of RFC
7350."

Thanks.

On 08/14/2014 09:10 AM, Ted Hardie wrote:
> This starts a WG Last Call for draft-ietf-rtcweb-stun-consent-freshness 
> (available at 
> http://datatracker.ietf.org/doc/draft-ietf-rtcweb-stun-consent-freshness/).
>  Please review the document and send comments to the list by September 10,
> 2014.
> 
> thanks,
> 
> Ted Hardie

- -- 
Marc Petit-Huguenin
Email: [email-masked]
Blog: http://blog.marc.petit-huguenin.org
Profile: http://www.linkedin.com/in/petithug

---

From: "Ram Mohan R (rmohanr)" <[email-masked]>
Date: Mon, 22 Sep 2014 04:33:38 +0000

Ok will take care of these.

Ram

-----Original Message-----
From: Christer Holmberg <[email-masked]>
Date: Wednesday, 17 September 2014 5:07 pm
To: Cisco Employee <[email-masked]>, Iñaki Baz Castillo
<[email-masked]>, "[email-masked]" <[email-masked]>
Subject: RE: [rtcweb] WG Last Call for
draft-ietf-rtcweb-stun-consent-freshness

>I think that makes it more clear that the draft does not require any
>changes to existing ICE-lite implementations.
>
>
>Q2:
>-----
>